Evaluations
List score results for a trace
GET /v1/traces/{traceId}/score-results · SDK listTraceScoreResults · CLI deployments eval score trace
GET
Requires observability:read.
platformBearerheader
AuthorizationBearer <token>Platform bearer credential accepted as an opaque API key or JWT.
traceId*stringW3C trace ID (32 lowercase hex characters).
Match
^[a-f0-9]{32}$cursor?stringLength
1 <= length <= 8192limit?integerRange
1 <= value <= 100x-deployments-organization*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-project*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$x-deployments-environment*stringMatch
^[0-7][0-9A-HJKMNP-TV-Z]{25}$ListScoreResultsResponse
application/json- response
items*array<>nextCursor?string|nullcurl -X GET "https://example.com/v1/traces/string/score-results" \ -H "x-deployments-organization: string" \ -H "x-deployments-project: string" \ -H "x-deployments-environment: string"{ "items": [ { "agentDeploymentId": "string", "agentReleaseId": "string", "createdAt": "2019-08-24T14:15:22Z", "datasetCaseId": "string", "durationMs": 0, "errorClass": "evaluator_failed", "errorMessage": "string", "evaluationRunId": "string", "evaluatorVersionHash": "string", "evidenceRefs": [ { "id": "string", "kind": "message" } ], "executionStatus": "error", "humanActorPrincipalId": "string", "id": "string", "judge": { "costUsdMicros": 0, "inputTokens": 0, "internalEvaluator": true, "modelId": "string", "outputTokens": 0 }, "label": "string", "passed": true, "rationale": "string", "revision": 1, "runId": "string", "scoreDefinitionId": "string", "scoreType": "deterministic", "source": "api", "spanId": "string", "threshold": 0, "traceId": "string", "updatedAt": "2019-08-24T14:15:22Z", "value": 0, "version": 0 } ], "nextCursor": "string"}